


  library(lfe) 
  dat <- read.table("voting_data.csv", header = TRUE, sep = "," )
  

###### Table 5:  Loss of BF Benefits is correlated with votes for the incumbent mayor #############################################

  # set the table formatting
  table <- data.frame(matrix(0,6,7))
  table[,c(1,3,5,7)] <- "&" ; table[,ncol(table)] <- "\tabularnewline" 
  table[c(nrow(table)-2,nrow(table)),ncol(table)] <- "\tabularnewline[0.25cm]"
  row.names(table) <- c("screening","S.E.   ","Past pct. vote","S.E. ","Voting Locations","Observations")
  
  # set dependent variables 
  dat$screen <- (dat$bf13-dat$bf12)/dat$enter 
  dat$outcome <- (dat$votes*100)/dat$totsec
  dat$pccp <- (dat$past*100)/dat$totsec08
  dat$enterr <- (dat$enter*100)/dat$able 

 
  
  for (i in 1:3){
    
    if(i == 1) reg <- felm(outcome ~  screen + pccp   |  location | 0 | 0,  data=dat); summary(reg , robust=TRUE)
    if(i == 2) reg <- felm(outcome ~  screen + pccp + enterr |  location | 0 | 0,  data=dat); summary(reg , robust=TRUE)
    if(i == 3) reg <- felm(outcome ~  screen + pccp+enterr+ Inc+yr+Foodpc+Water |  location | 0 | 0,  data=dat); summary(reg , robust=TRUE)
    
    r <- round(summary(reg, robust=TRUE)$coefficients,3) ;    v <- vcov(reg)
    #if(i == 1) 
    coeff <- c("screen","pccp") 
    
    for (j in 0:(length(coeff)-1)){
      tv <- abs(r[row.names(r) == coeff[j+1],3])
      stars <- "" #; if(tv >= 1.645){stars <- "*"} ; if(tv >= 1.96){stars <- "**"} 
      table[j*2+1,i*2] <- paste(format(r[row.names(r) == coeff[j+1],1],nsmall=3),stars,sep="")
      table[j*2+2,i*2] <- paste("(",format(r[row.names(r) == coeff[j+1],2],nsmall=3),")",sep="")
    }
    
    table[nrow(table)-1,i*2] <- length(unique(dat$location))
    table[nrow(table),i*2] <- nrow(dat)
    
  } 
  table

###################################################################################################################################    
  
  
 
  